From 80af94b7b7759a5644ec7000fa62cac6800c3e46 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 29 Oct 2009 13:01:46 +0100
Subject: [PATCH] Build svolume_arm.c with -march=armv6 to fix ARM bug

http://www.mail-archive.com/debian-bugs-rc@lists.debian.org/msg189931.html

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 pulseaudio-ARM-sysvolume.patch |   12 ++++++++++++
 pulseaudio.spec                |    7 ++++++-
 2 files changed, 18 insertions(+), 1 deletions(-)
 create mode 100644 pulseaudio-ARM-sysvolume.patch

diff --git a/pulseaudio-ARM-sysvolume.patch b/pulseaudio-ARM-sysvolume.patch
new file mode 100644
index 0000000..4d7342f
--- /dev/null
+++ b/pulseaudio-ARM-sysvolume.patch
@@ -0,0 +1,12 @@
+diff -dur pulseaudio-0.9.19.back/src/Makefile pulseaudio-0.9.19/src/Makefile
+--- pulseaudio-0.9.19.back/src/Makefile	2009-10-29 12:56:40.040877937 +0100
++++ pulseaudio-0.9.19/src/Makefile	2009-10-29 12:34:04.490877969 +0100
+@@ -5608,7 +5608,7 @@
+ #	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libpulsecore_0.9.19_la_CFLAGS) $(CFLAGS) -c -o libpulsecore_0.9.19_la-svolume_c.lo `test -f 'pulsecore/svolume_c.c' || echo '$(srcdir)/'`pulsecore/svolume_c.c
+ 
+ libpulsecore_0.9.19_la-svolume_arm.lo: pulsecore/svolume_arm.c
+-	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libpulsecore_0.9.19_la_CFLAGS) $(CFLAGS) -MT libpulsecore_0.9.19_la-svolume_arm.lo -MD -MP -MF $(DEPDIR)/libpulsecore_0.9.19_la-svolume_arm.Tpo -c -o libpulsecore_0.9.19_la-svolume_arm.lo `test -f 'pulsecore/svolume_arm.c' || echo '$(srcdir)/'`pulsecore/svolume_arm.c
++	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libpulsecore_0.9.19_la_CFLAGS) $(CFLAGS) -march=armv6 -MT libpulsecore_0.9.19_la-svolume_arm.lo -MD -MP -MF $(DEPDIR)/libpulsecore_0.9.19_la-svolume_arm.Tpo -c -o libpulsecore_0.9.19_la-svolume_arm.lo `test -f 'pulsecore/svolume_arm.c' || echo '$(srcdir)/'`pulsecore/svolume_arm.c
+ 	$(AM_V_at)$(am__mv) $(DEPDIR)/libpulsecore_0.9.19_la-svolume_arm.Tpo $(DEPDIR)/libpulsecore_0.9.19_la-svolume_arm.Plo
+ #	$(AM_V_CC) \
+ #	source='pulsecore/svolume_arm.c' object='libpulsecore_0.9.19_la-svolume_arm.lo' libtool=yes \
diff --git a/pulseaudio.spec b/pulseaudio.spec
index aadbadd..87cb1c3 100644
--- a/pulseaudio.spec
+++ b/pulseaudio.spec
@@ -1,11 +1,12 @@
 Name:           pulseaudio
 Summary:        Improved Linux Sound Server
 Version:        0.9.19
-Release:        2%{?dist}
+Release:        2%{?dist}.fa1
 License:        LGPLv2+
 Group:          System Environment/Daemons
 Source0:        http://0pointer.de/lennart/projects/pulseaudio/pulseaudio-%{version}.tar.gz
 Source1:        default.pa-for-gdm
+Patch0: 	pulseaudio-ARM-sysvolume.patch
 URL:            http://pulseaudio.org/
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  m4
@@ -204,6 +205,7 @@ This package contains GDM integration hooks for the PulseAudio sound server.
 %build
 %configure --disable-static --disable-rpath --with-system-user=pulse --with-system-group=pulse --with-access-group=pulse-access --disable-hal
 # we really should preopen here --preopen-mods=module-udev-detect.la, --force-preopen
+patch -p1 < %{PATCH0}
 make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}
 make doxygen
 
@@ -436,6 +438,9 @@ exit 0
 %attr(0600, gdm, gdm) %{_localstatedir}/lib/gdm/.pulse/default.pa
 
 %changelog
+* Mon Nov 09 2009 Jitesh Shah <jiteshs@marvell.com> - 0.9.19-2.fa1
+- compile svolume_arm.c with -march=armv6 (as suggested here http://www.mail-archive.com/debian-bugs-rc@lists.debian.org/msg189931.html)
+
 * Wed Nov 04 2009 Warren Togami <wtogami@redhat.com> - 0.9.19-2
 - Bug #532583 gdm should not require pulseaudio
 
-- 
1.5.5.6

